﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class FishSpawner : MonoBehaviour {
	public GameObject[] fishes;   
	public float RateOfSpawn = 1;
	private float nextSpawn = 2;

	void Start () {
		nextSpawn = Time.time + 2;
	}

	// Update is called once per frame
	void Update () {
		if(Time.time > nextSpawn)
		{
			nextSpawn = Time.time + RateOfSpawn;
			var bound = GetComponent<BoxCollider2D> ().bounds;
			var xRange = Random.Range (bound.center.x - bound.size.x / 2, bound.center.x + bound.size.x / 2);
			var yRange = Random.Range (bound.center.y - bound.size.y / 2, bound.center.y + bound.size.y / 2);

			// Random position within this transform
			var postitio = new Vector3(xRange, yRange, -2);
			var instance = Instantiate(fishes[Random.Range (0, fishes.Length)], postitio, transform.rotation);     
			//Attach as child
			instance.transform.parent = gameObject.transform;
		}
	}
}
