﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using UnityEngine.SceneManagement;

public class HighScores : MonoBehaviour {

    public Text scoreText;

    // Use this for initialization
    void Start () {
        scoreText.text = "";
        int[] highScores = new int[5];
        for (int i = 0; i < highScores.Length; i++)
        {
            string highScoreKey = "HighScore" + (i + 1).ToString();
            int highScore = PlayerPrefs.GetInt(highScoreKey, 0);
            scoreText.text = scoreText.text + " " + highScore.ToString() + "\n";
        }
    }
	
	// Update is called once per frame
	void Update () {
		if (Input.GetKey ("escape")) {
			Application.Quit();
		}
		if (Input.GetButton ($"P1-Start")) { 
			SceneManager.LoadScene ("Scenes/Menu");
		}
	}
}
