﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class PlayerManager : Singleton<PlayerManager> {
	public Player[] players = new Player[4];

	// Use this for initialization
	void Awake () {
		DontDestroyOnLoad (gameObject);

		Color[] playerColors = new Color[4];
		playerColors [0] = Color.red;
		playerColors [1] = Color.blue;
		playerColors [2] = Color.green;
		playerColors [3] = Color.cyan;

		for (int i = 0; i < players.Length; i++) {
			this.players [i] = new Player (i, false, playerColors [i]);
		}
	}
	
	// Update is called once per frame
	void Update () {
	}
}
