﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerTracker : MonoBehaviour {

	public GameObject player;
	private Color alphaColor;
	private Color defaultColor;
	private float timeToFade = 100f;

	// Use this for initialization
	void Start () {
		defaultColor = GetComponent<SpriteRenderer>().material.color;
		alphaColor = GetComponent<SpriteRenderer>().material.color;
		alphaColor.a = 0;
		GetComponent<SpriteRenderer> ().material.color = alphaColor;
	}
	
	// Update is called once per frame
	void Update () {
		transform.position = new Vector3(player.transform.position.x, transform.position.y, transform.position.z);
		if (player.transform.position.y > 14) {
			GetComponent<SpriteRenderer> ().material.color = Color.Lerp (GetComponent<SpriteRenderer> ().material.color, defaultColor, timeToFade * Time.deltaTime);
		} else {
			GetComponent<SpriteRenderer> ().material.color = Color.Lerp (GetComponent<SpriteRenderer> ().material.color, alphaColor, timeToFade * Time.deltaTime);
		}
	}
}
