﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerTrackerInit : MonoBehaviour {

	public GameObject tracker;

	// Use this for initialization
	void Start () {
		PlayerTrackingInfo trackingInfo = GetComponent<PlayerTrackingInfo> ();

		int index = trackingInfo.index;

		var trackerInstance = Instantiate (tracker, new Vector3(0, 14, -2), Quaternion.identity);
		PlayerTracker playerTracker = trackerInstance.GetComponent <PlayerTracker> ();
		playerTracker.player = this.gameObject;
		SpriteRenderer renderer = playerTracker.GetComponent<SpriteRenderer> ();
		renderer.material.color = PlayerManager.Instance.players [index].color;
	}
	
	// Update is called once per frame
	void Update () {
		
	}
}
