﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class Score : MonoBehaviour {

    public Text scoreText;
    private int score;

    // Use this for initialization
    void Start () {
        score = 0;
	}
	
	// Update is called once per frame
	void Update () {
        score++;
        scoreText.text = "Score: " + score;
	}

    void OnDestroy()
    {
        int[] highScores = new int[5];
        for (int i = 0; i < highScores.Length; i++)
        {
            string highScoreKey = "HighScore" + (i + 1).ToString();
            int highScore = PlayerPrefs.GetInt(highScoreKey, 0);

            if (score > highScore)
            {
                int temp = highScore;
                PlayerPrefs.SetInt(highScoreKey, score);
                score = temp;
            }
        }
    }
}
