﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class WaveMover : MonoBehaviour {

	public float speed;
	private bool dirRight = true;

	void Update () {
		if (dirRight)
			transform.Translate (Vector2.right * speed * Time.deltaTime);
		else
			transform.Translate (-Vector2.right * speed * Time.deltaTime);

		if(transform.position.x >= 10.0f) {
			dirRight = false;
		}

		if(transform.position.x <= -10) {
			dirRight = true;
		}
	}
}
